package com.simuwang.daq.dto;

/**
 * @author wangzaijun
 * @date 2024/9/12 15:34
 * @description 报告解析的基金信息
 */
public class ReportFundInfo {
    private String fundName;
    private String cFundName;
    /**
     * 是否分级基金
     */
    private Integer istiered;
    /**
     * 备案编码
     */
    private String registerNumber;
    private String trustName;
    private String custodianName;
    private String advisorName;
    /**
     * 运作方式 开放式或封闭式
     */
    private String operationType;
    private String fundType;
    /**
     * 成立日期
     */
    private String inceptionDate;
    private String sharePerAsset;
    private String investmentObjective;
    private String fundStrategyDescription;
    private String secondaryBenchmark;
    private String riskReturnDesc;
    private String realizedIncome;
    private String profit;
    private String fundAssetSize;
    private String nav;
    private String initTotalShares;
    private String subscription;
    private String redemption;
    private String split;
    /**
     * 杠杆信息描述
     */
    private String leverageNote;
    /**
     * 杠杆比例
     */
    private String leverage;
    private String remark;
    private String industryTrend;
    private String fundManager;
    /**
     * 是否托管复核
     */
    private String reviewed;

    public String getFundName() {
        return fundName;
    }

    public void setFundName(String fundName) {
        this.fundName = fundName;
    }

    public String getcFundName() {
        return cFundName;
    }

    public void setcFundName(String cFundName) {
        this.cFundName = cFundName;
    }

    public Integer getIstiered() {
        return istiered;
    }

    public void setIstiered(Integer istiered) {
        this.istiered = istiered;
    }

    public String getRegisterNumber() {
        return registerNumber;
    }

    public void setRegisterNumber(String registerNumber) {
        this.registerNumber = registerNumber;
    }

    public String getTrustName() {
        return trustName;
    }

    public void setTrustName(String trustName) {
        this.trustName = trustName;
    }

    public String getCustodianName() {
        return custodianName;
    }

    public void setCustodianName(String custodianName) {
        this.custodianName = custodianName;
    }

    public String getAdvisorName() {
        return advisorName;
    }

    public void setAdvisorName(String advisorName) {
        this.advisorName = advisorName;
    }

    public String getOperationType() {
        return operationType;
    }

    public void setOperationType(String operationType) {
        this.operationType = operationType;
    }

    public String getFundType() {
        return fundType;
    }

    public void setFundType(String fundType) {
        this.fundType = fundType;
    }

    public String getInceptionDate() {
        return inceptionDate;
    }

    public void setInceptionDate(String inceptionDate) {
        this.inceptionDate = inceptionDate;
    }

    public String getSharePerAsset() {
        return sharePerAsset;
    }

    public void setSharePerAsset(String sharePerAsset) {
        this.sharePerAsset = sharePerAsset;
    }

    public String getInvestmentObjective() {
        return investmentObjective;
    }

    public void setInvestmentObjective(String investmentObjective) {
        this.investmentObjective = investmentObjective;
    }

    public String getFundStrategyDescription() {
        return fundStrategyDescription;
    }

    public void setFundStrategyDescription(String fundStrategyDescription) {
        this.fundStrategyDescription = fundStrategyDescription;
    }

    public String getSecondaryBenchmark() {
        return secondaryBenchmark;
    }

    public void setSecondaryBenchmark(String secondaryBenchmark) {
        this.secondaryBenchmark = secondaryBenchmark;
    }

    public String getRiskReturnDesc() {
        return riskReturnDesc;
    }

    public void setRiskReturnDesc(String riskReturnDesc) {
        this.riskReturnDesc = riskReturnDesc;
    }

    public String getRealizedIncome() {
        return realizedIncome;
    }

    public void setRealizedIncome(String realizedIncome) {
        this.realizedIncome = realizedIncome;
    }

    public String getProfit() {
        return profit;
    }

    public void setProfit(String profit) {
        this.profit = profit;
    }

    public String getFundAssetSize() {
        return fundAssetSize;
    }

    public void setFundAssetSize(String fundAssetSize) {
        this.fundAssetSize = fundAssetSize;
    }

    public String getNav() {
        return nav;
    }

    public void setNav(String nav) {
        this.nav = nav;
    }

    public String getInitTotalShares() {
        return initTotalShares;
    }

    public void setInitTotalShares(String initTotalShares) {
        this.initTotalShares = initTotalShares;
    }

    public String getSubscription() {
        return subscription;
    }

    public void setSubscription(String subscription) {
        this.subscription = subscription;
    }

    public String getRedemption() {
        return redemption;
    }

    public void setRedemption(String redemption) {
        this.redemption = redemption;
    }

    public String getSplit() {
        return split;
    }

    public void setSplit(String split) {
        this.split = split;
    }

    public String getLeverageNote() {
        return leverageNote;
    }

    public void setLeverageNote(String leverageNote) {
        this.leverageNote = leverageNote;
    }

    public String getLeverage() {
        return leverage;
    }

    public void setLeverage(String leverage) {
        this.leverage = leverage;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIndustryTrend() {
        return industryTrend;
    }

    public void setIndustryTrend(String industryTrend) {
        this.industryTrend = industryTrend;
    }

    public String getFundManager() {
        return fundManager;
    }

    public void setFundManager(String fundManager) {
        this.fundManager = fundManager;
    }

    public String getReviewed() {
        return reviewed;
    }

    public void setReviewed(String reviewed) {
        this.reviewed = reviewed;
    }
}
